MySQL-Python install - Could not build the egg

人盡茶涼 提交于 2019-12-05 00:11:46

问题


I'm trying to setup python mysql. I'm working through the following tutorial:

http://anthonyscherba.com/site/blog/django-mysql-install-mac

I'm all good until set 5. When I run

$ python setup.py clean

and I get in return

 /Users/msmith/Downloads/MySQL-python-1.2.4b4/distribute-0.6.28-py2.7.egg
 Traceback (most recent call last):
 File "setup.py", line 7, in <module>
    use_setuptools()
  File "/Users/msmith/Downloads/MySQL-python-1.2.4b4/distribute_setup.py", line 145, in use_setuptools
    return _do_download(version, download_base, to_dir, download_delay)
  File "/Users/msmith/Downloads/MySQL-python-1.2.4b4/distribute_setup.py", line 125, in _do_download
    _build_egg(egg, tarball, to_dir)
  File "/Users/msmith/Downloads/MySQL-python-1.2.4b4/distribute_setup.py", line 116, in _build_egg
    raise IOError('Could not build the egg.')
IOError: Could not build the egg.

回答1:


I've had success following these tips:

First try installing with pip:

pip install mysql-python

Then: (From here: Django Error: vertualenv EnvironmentError: mysql_config not found)

echo "mysql_config = /usr/local/mysql/bin/mysql_config" >> ~/.virtualenvs/ENV_NAME/build/MySQL-python/site.cfg

Then, (from here: cc1: error: unrecognized command line option "-Wno-null-conversion" within installing python-mysql on mac 10.7.5)

"Try to Remove cflags -Wno-null-conversion -Wno-unused-private-field [from] /usr/local/mysql/bin/mysql_config."

then, simply install again: pip install mysql-python

Then (from here: Python mysqldb: Library not loaded: libmysqlclient.18.dylib)

sudo ln -s /usr/local/mysql/lib/libmysqlclient.18.dylib /usr/lib/libmysqlclient.18.dylib

Then it should work!




回答2:


Nothing helped for me. I had to update MySQL-python to 1.2.5, and that resolved the issue.

MySQL-python==1.2.5



回答3:


Please use this version fixes this problem.

https://github.com/qingfeng/MySQLdb1/tree/MySQL-python-1.2.4




回答4:


I just had this issue...my requirements.txt file looks as bellow:

Django==1.6
MySQL-python==1.2.4
South==0.8.4
...
distribute==0.6.31

What worked for me was:

  1. Comment the line for MySQL-python
  2. Execute the "pip install -r requirements.txt"
  3. Uncomment again MySQL-python
  4. Run again the pip install.

So, I think that the issue is some kind of dependency with the "distribute" version installed (OR to be installed in my case).



来源:https://stackoverflow.com/questions/17624830/mysql-python-install-could-not-build-the-egg

工具导航Map

JSON相关